## org.apache.http.impl.client
Class BasicResponseHandler

    java.lang.Object
      org.apache.http.impl.client.BasicResponseHandler

All Implemented Interfaces:
  ResponseHandler<String>

    @Immutable
    public class BasicResponseHandler

extends Object
implements ResponseHandler<String>

A `ResponseHandler` that returns the response body as a String for successful (2xx) responses. If the response code was >= 300, the response body is consumed and an `HttpResponseException` is thrown.

If this is used with `HttpClient.execute( org.apache.http.client.methods.HttpUriRequest, ResponseHandler)`, HttpClient may handle redirects (3xx responses) internally.

Since:
  4.0

Constructor Summary
`BasicResponseHandler()`

Method Summary
`String` `handleResponse(HttpResponse response)` Returns the response body as a String if the response was successful (a 2xx status code).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicResponseHandler

    public BasicResponseHandler()

Method Detail

### handleResponse

    public String handleResponse(HttpResponse response)
                          throws HttpResponseException,
                                 IOException

  Returns the response body as a String if the response was successful (a 2xx status code). If no response body exists, this returns null. If the response was unsuccessful (>= 300 status code), throws an `HttpResponseException`.

  Specified by:
    `handleResponse` in interface `ResponseHandler<String>`
  Parameters:
    `response` - The response to process
  Returns:
    A value determined by the response
  Throws:
    `ClientProtocolException` - in case of an http protocol error
    `IOException` - in case of a problem or the connection was aborted
    `HttpResponseException`

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.